# Uses of Interface
org.apache.lucene.sandbox.facet.recorders.Reducer

Packages that use Reducer
Package
Description
org.apache.lucene.sandbox.facet.recorders
Sandbox faceting: classes that can record per ordinal data E.g.

- ## Uses of Reducer in org.apache.lucene.sandbox.facet.recorders

  Fields in org.apache.lucene.sandbox.facet.recorders declared as Reducer
  Modifier and Type
  Field
  Description
  `static final Reducer`
  Reducer.`MAX`
  Reducer that returns MAX of two values.
  `static final Reducer`
  Reducer.`SUM`
  Reducer that returns SUM of two values.
  Constructors in org.apache.lucene.sandbox.facet.recorders with parameters of type Reducer
  Modifier
  Constructor
  Description
  ``
  `LongAggregationsFacetRecorder(LongValuesSource[] longValuesSources, Reducer[] reducers)`
  Constructor.